Skip to main content
GET
/
business-units
/
v3
/
business-units
/
user
/
{userId}
Get Business Units for a user
curl --request GET \
  --url https://api.hubapi.com/business-units/v3/business-units/user/{userId} \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "<string>",
      "name": "<string>",
      "logoMetadata": {
        "logoAltText": "<string>",
        "logoUrl": "<string>",
        "resizedUrl": "<string>"
      }
    }
  ]
}

Supported products

Requires one of the following products or higher.
Marketing HubMarketing Hub -Enterprise
Sales HubSales Hub -Free
Service HubService Hub -Free
Content HubContent Hub -Enterprise
Data HubData Hub -Free

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

userId
string
required

Query Parameters

name
string[]
properties
string[]

Response

successful operation

results
object[]
required

The collection of Business Units

Last modified on February 12, 2026